Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory
              org.deegree.ogcwebservices.wmps.XMLFactory

    public class XMLFactory

extends XMLFactory

Helper class to create WMPS responses.

Version:
  2.0
Author:
  Anup Deshmukh

Field Summary

Fields inherited from class org.deegree.owscommon.XMLFactory
`DEEGREECSWNS, OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`protected static void` | `appendAttribution(Element root, Attribution attr)` Append attribution url.
`protected static void` | `appendAuthorityURL(Element root, AuthorityURL authorityURL)` Append authority url.
`protected static void` | `appendCapabilityLayer(Element root, Layer layer)` Append capability layer
`protected static void` | `appendCapabilityRequests(Element root, WMPSOperationsMetadata operationsMetadata)` Append capability element.
`protected static void` | `appendContactInformation(Element root, ServiceProvider provider)` Append contact information
`protected static void` | `appendDataURL(Element root, DataURL dataURL)` Append data url.
`protected static void` | `appendDimension(Element root, Dimension dim)` Append dimension.
`protected static void` | `appendExtent(Element root, Extent extent)` Apppend extent.
`protected static void` | `appendFeatureListURL(Element root, FeatureListURL featureListURL)` Append feature list url.
`protected static void` | `appendIdentifier(Element root, Identifier identifier)` Append identifiers.
`protected static void` | `appendLatLonBoundingBox(Element root, Envelope llBox)` Append lat-lon bounding box.
`protected static void` | `appendLayerBoundingBox(Element root, LayerBoundingBox lBox)` Append layer bounding box.
`protected static void` | `appendLegendURL(Element root, LegendURL legendURL)` Append legend url.
`protected static void` | `appendMetadataURL(Element root, MetadataURL metadataURL)` Append metadata url.
`protected static void` | `appendOnlineResource(Element root, URL url)` Append online resource.
`protected static void` | `appendOperation(Element root, Operation operation)` Append Operations.
`protected static void` | `appendService(Element root, ServiceIdentification identification, ServiceProvider provider)` Append service element
`protected static void` | `appendStyle(Element root, Style style)` Append style
`protected static void` | `appendStyleSheetURL(Element root, StyleSheetURL styleSheetURL)` Append Style sheet.
`protected static void` | `appendStyleURL(Element root, StyleURL styleURL)` Append Style URL
`protected static void` | `appendURLs(Element http, URL[] urls, String type)` Append URLs
`protected static void` | `appendUserDefinedSymbolization(Element root, UserDefinedSymbolization uds)` Append User defined symbolization.
`static Object` | `export(DescribeTemplateResponse response)`
`static GetAvailableTemplatesResponseDocument` | `export(GetAvailableTemplatesResponse response)` Export the print map initial response document.
`static PrintMapResponseDocument` | `export(PrintMapResponse response)` Export the print map initial response document.
`static WMPSCapabilitiesDocument` | `export(WMPSCapabilities capabilities)` Exports a `WMPSCapabilities` instance to a `WMPSCapabilitiesDocument`.

Methods inherited from class org.deegree.owscommon.XMLFactory
`appendAddress, appendDCP, appendException, appendMetadata, appendOperationsMetadata, appendOWSKeywords, appendOWSKeywords, appendParameter, appendPhone, appendServiceIdentification, appendServiceProvider, export, exportExceptionReport, exportExceptionReportWFS, exportExceptionReportWFS100, exportNS, maybeSetAttribute`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static WMPSCapabilitiesDocument export(WMPSCapabilities capabilities)
                                           throws IOException

  Exports a `WMPSCapabilities` instance to a `WMPSCapabilitiesDocument`.

  Parameters:
    `capabilities` -
  Returns:
    DOM representation of the `WMPSCapabilities`
  Throws:
    `IOException` - if XML template could not be loaded

### appendUserDefinedSymbolization

    protected static void appendUserDefinedSymbolization(Element root,
                                                         UserDefinedSymbolization uds)

  Append User defined symbolization.

  Parameters:
    `root` -
    `uds` -

### appendService

    protected static void appendService(Element root,
                                        ServiceIdentification identification,
                                        ServiceProvider provider)
                                 throws XMLParsingException

  Append service element

  Parameters:
    `root` -
    `identification` -
    `provider` -
  Throws:
    `XMLParsingException`

### appendContactInformation

    protected static void appendContactInformation(Element root,
                                                   ServiceProvider provider)

  Append contact information

  Parameters:
    `root` -
    `provider` -

### appendCapabilityRequests

    protected static void appendCapabilityRequests(Element root,
                                                   WMPSOperationsMetadata operationsMetadata)
                                            throws XMLParsingException

  Append capability element.

  Parameters:
    `root` -
    `operationsMetadata` -
  Throws:
    `XMLParsingException`

### appendOperation

    protected static void appendOperation(Element root,
                                          Operation operation)

  Append Operations.

  Parameters:
    `root` -
    `operation` -

### appendURLs

    protected static void appendURLs(Element http,
                                     URL[] urls,
                                     String type)

  Append URLs

  Parameters:
    `http` -
    `urls` -
    `type` -

### appendCapabilityLayer

    protected static void appendCapabilityLayer(Element root,
                                                Layer layer)
                                         throws XMLParsingException

  Append capability layer

  Parameters:
    `root` -
    `layer` -
  Throws:
    `XMLParsingException`

### appendStyle

    protected static void appendStyle(Element root,
                                      Style style)

  Append style

  Parameters:
    `root` -
    `style` -

### appendStyleURL

    protected static void appendStyleURL(Element root,
                                         StyleURL styleURL)

  Append Style URL

  Parameters:
    `root` -
    `styleURL` -

### appendStyleSheetURL

    protected static void appendStyleSheetURL(Element root,
                                              StyleSheetURL styleSheetURL)

  Append Style sheet.

  Parameters:
    `root` -
    `styleSheetURL` -

### appendLegendURL

    protected static void appendLegendURL(Element root,
                                          LegendURL legendURL)

  Append legend url.

  Parameters:
    `root` -
    `legendURL` -

### appendFeatureListURL

    protected static void appendFeatureListURL(Element root,
                                               FeatureListURL featureListURL)

  Append feature list url.

  Parameters:
    `root` -
    `featureListURL` -

### appendDataURL

    protected static void appendDataURL(Element root,
                                        DataURL dataURL)

  Append data url.

  Parameters:
    `root` -
    `dataURL` -

### appendMetadataURL

    protected static void appendMetadataURL(Element root,
                                            MetadataURL metadataURL)

  Append metadata url.

  Parameters:
    `root` -
    `metadataURL` -

### appendIdentifier

    protected static void appendIdentifier(Element root,
                                           Identifier identifier)

  Append identifiers.

  Parameters:
    `root` -
    `identifier` -

### appendAuthorityURL

    protected static void appendAuthorityURL(Element root,
                                             AuthorityURL authorityURL)

  Append authority url.

  Parameters:
    `root` -
    `authorityURL` -

### appendAttribution

    protected static void appendAttribution(Element root,
                                            Attribution attr)

  Append attribution url.

  Parameters:
    `root` -
    `attr` -

### appendOnlineResource

    protected static void appendOnlineResource(Element root,
                                               URL url)

  Append online resource.

  Parameters:
    `root` -
    `url` -

### appendExtent

    protected static void appendExtent(Element root,
                                       Extent extent)

  Apppend extent.

  Parameters:
    `root` -
    `extent` -

### appendDimension

    protected static void appendDimension(Element root,
                                          Dimension dim)

  Append dimension.

  Parameters:
    `root` -
    `dim` -

### appendLayerBoundingBox

    protected static void appendLayerBoundingBox(Element root,
                                                 LayerBoundingBox lBox)

  Append layer bounding box.

  Parameters:
    `root` -
    `lBox` -

### appendLatLonBoundingBox

    protected static void appendLatLonBoundingBox(Element root,
                                                  Envelope llBox)

  Append lat-lon bounding box.

  Parameters:
    `root` -
    `llBox` -

### export

    public static PrintMapResponseDocument export(PrintMapResponse response)
                                           throws XMLParsingException

  Export the print map initial response document.

  Parameters:
    `response` -
  Returns:
    PrintMapResponseDocument
  Throws:
    `XMLParsingException`

### export

    public static GetAvailableTemplatesResponseDocument export(GetAvailableTemplatesResponse response)
                                                        throws XMLParsingException

  Export the print map initial response document.

  Parameters:
    `response` -
  Returns:
    GetAvailableTemplatesResponseDocument
  Throws:
    `XMLParsingException`

### export

    public static Object export(DescribeTemplateResponse response)

  Parameters:
    `response` -
  Returns:
    DescribeTemplateResponse as XML document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org